org.apache.commons.math3.optim.linear

## Class LinearConstraintSet

- java.lang.Object
- - org.apache.commons.math3.optim.linear.LinearConstraintSet

All Implemented Interfaces:
  OptimizationData

    public class LinearConstraintSet
    extends Object
    implements OptimizationData

Class that represents a set of `linear constraints`.

Since:
  3.1
Version:
  $Id$

### Field Summary

Fields
`private Set<LinearConstraint>` `linearConstraints` Set of constraints.

### Constructor Summary

Constructors
Constructor and Description
`LinearConstraintSet(Collection<LinearConstraint> constraints)` Creates a set containing the given constraints.
`LinearConstraintSet(LinearConstraint... constraints)` Creates a set containing the given constraints.

### Method Summary

Methods
`Collection<LinearConstraint>` `getConstraints()` Gets the set of linear constraints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### linearConstraints

    private final Set<LinearConstraint> linearConstraints

Set of constraints.

### Constructor Detail

#### LinearConstraintSet

    public LinearConstraintSet(LinearConstraint... constraints)

Creates a set containing the given constraints.

Parameters:
  `constraints` - Constraints.

#### LinearConstraintSet

    public LinearConstraintSet(Collection<LinearConstraint> constraints)

Creates a set containing the given constraints.

Parameters:
  `constraints` - Constraints.

### Method Detail

#### getConstraints

    public Collection<LinearConstraint> getConstraints()

Gets the set of linear constraints.

Returns:
  the constraints.